﻿using System;

namespace ArrayDemo
{
    class Tester
    {
        public void Run()
        {
            //Declare array
            int[][] intArray;
            int intValue = 0;
            // A string variable to hold a row of numbers converted to strings
            string numberRow = " ";
            
            //Initialise multi-dimensional array with 10 elements
            intArray = new int[10][];

            //Initialise the second dimension of the array with 10 elements 
            //within each element of the first array
            for (int i = 0; i < intArray.Length; i++)
            {
                intArray[i] = new int[10];
            }

            // Populate the int multi-dimensional array using a nested for loop
            for (int j = 0; j < intArray.Length; j++)
            {
                for (int k = 0; k < intArray.Length; k++)
                {   
                    // The intValue variable will count from 1 to a 100
                    // each of these numbers will be stored in each member 
                    // of the multi-dimensional array
                    intValue++;
                    intArray[j][k] = intValue;
                    
                    if (intValue < 10)
                    {   
                        // Convert each number to a string and append it to the
                        // string variable
                        numberRow += Convert.ToString(intArray[j][k]) + "  ";

                    }
                    else
                    {
                        numberRow += Convert.ToString(intArray[j][k]) + " ";
                    }
                }
                // Print out the row of numbers
                Console.WriteLine(numberRow);
                numberRow = " ";
             }
        }

        [STAThread]
        static void Main()
        {
            Tester t = new Tester();
            t.Run();
            Console.ReadLine();
        }
    }
}